/*
  PCF8574 I2C Çoklayıcı Arduino ile Nasıl Kullanılır?
 
  PCF8574 I2C Çoklayıcının detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include "pcf8574.h"

PCF8574 PCF1(0x20);

void setup() {
	for (int x = 0; x < 8; x++) pinMode(PCF1, x, OUTPUT);
	for (int x = 0; x < 8; x++) digitalWrite(PCF1, x, LOW);
}

void loop() {
  // sola kayma
  for (int y = 0; y < 8; y++) {
    digitalWrite(PCF1, y, HIGH);
    delay(100);
    for (int x = 0; x < 8; x++) digitalWrite(PCF1, x, LOW);
  }
  // sağa kayma
  for (int y = 7; y >= 0; y--) {
    digitalWrite(PCF1, y, HIGH);
    delay(100);
    for (int x = 0; x < 8; x++) digitalWrite(PCF1, x, LOW);
  }
}
